Index: /trunk/pxeconfig/INSTALL
===================================================================
--- /trunk/pxeconfig/INSTALL	(revision 5)
+++ /trunk/pxeconfig/INSTALL	(revision 6)
@@ -24,4 +24,7 @@
        Connection closed by foreign host.
 
+     In syslog a line will be added if the removal is succesful:
+      Feb 20 09:32:40 test pxeconfigd: /tftpboot/pxelinux.cfg/7F000001
+
 
  4) As you can see '/tftpboot/pxelinux.cfg/' is the default directory. If
@@ -32,8 +35,8 @@
 
 
-If the daemon work and you want to install/reinstall a node a link
+If the daemon works and you want to install/reinstall a node a link
 must be placed in the '/tftpboot/pxelinux.cfg' directory. This can
 be done with the 'pxeconfig' utility. This utility will ask some
-question and make the links for you.i The utility require the following
+question and make the links for you. The utility require the following
 setup:
   1) All the pxe configuration files must start with preamble 'default.' 
@@ -49,6 +52,16 @@
         pxeconfig -d /<some>/<other>/<place>
 
-The last utility is 'hexls'. This utility will displat the hex pxe config
+The last utility is 'hexls'. This utility will display the hex pxe config
 file with the corresponding ip-addres.
+
+
+To activate this on a client tou must add the this line to the 'master'
+script of the node. It will remove the pxe config file for the node
+on the bootserver. I personally place the line just before the network
+interface will be brought down:
+   # Remove the <hex_ipaddr> file from the pxelinux.cfg directory.
+   # So the client will boot from disk
+   #        
+   telnet $IMAGESERVER 10000
 
 Commens or Suggestions mail them to:
Index: /trunk/pxeconfig/changelog
===================================================================
--- /trunk/pxeconfig/changelog	(revision 5)
+++ /trunk/pxeconfig/changelog	(revision 6)
@@ -1,6 +1,9 @@
-Always edit this file when changes are commited:a
-
+Always edit this file when changes are commited:
 
 $Log: changelog,v $
+Revision 1.5  2002/02/21 13:21:51  sscpbas
+Added the license info to each utility and fix and error in the getopt
+handling for pxeconfig utility
+
 Revision 1.4  2002/02/20 12:43:18  sscpbas
 Update the docs and added the INSTALL file
Index: /trunk/pxeconfig/hexls
===================================================================
--- /trunk/pxeconfig/hexls	(revision 5)
+++ /trunk/pxeconfig/hexls	(revision 6)
@@ -1,3 +1,17 @@
 #! /usr/bin/env python
+# Copyright (C) 2000, SARA.
+#
+# Permission to use, copy, modify, and distribute this software and its
+# documentation for non-commercial purposes and without fee is hereby
+# granted, provided that the above copyright notice appears in all copies
+# and that both the copyright notice and this permission notice appear in
+# supporting documentation.
+#
+# Neither SARA (Stichting Academisch Rekencentrum Amsterdam) nor the
+# nor the author make any representations about the suitability of this
+# software for any purpose. This software is provided ``as is'' without
+# express or implied warranty.
+#
+#
 '''
 hexls.py - Lists directory contents, but converts the hexadecimal IP numbers
@@ -8,6 +22,6 @@
 
 CVS info 
-  $Date: 2002/02/19 09:38:10 $ 
-  $Revision: 1.1 $
+  $Date: 2002/02/21 13:21:51 $ 
+  $Revision: 1.2 $
 '''
 
Index: /trunk/pxeconfig/pxeconfig
===================================================================
--- /trunk/pxeconfig/pxeconfig	(revision 5)
+++ /trunk/pxeconfig/pxeconfig	(revision 6)
@@ -7,6 +7,20 @@
 #
 # CVS info
-#  $Date: 2002/02/19 09:57:40 $
-#  $Revision: 1.3 $
+#  $Date: 2002/02/21 13:21:51 $
+#  $Revision: 1.4 $
+#
+# Copyright (C) 2000, SARA.
+#
+# Permission to use, copy, modify, and distribute this software and its
+# documentation for non-commercial purposes and without fee is hereby
+# granted, provided that the above copyright notice appears in all copies
+# and that both the copyright notice and this permission notice appear in
+# supporting documentation.
+#
+# Neither SARA (Stichting Academisch Rekencentrum Amsterdam) nor the
+# nor the author make any representations about the suitability of this
+# software for any purpose. This software is provided ``as is'' without
+# express or implied warranty.
+#
 #
 """
@@ -173,5 +187,4 @@
   iptable[network].append(int(end))
 
-
   for net in iptable.keys():
     if DEBUG:
@@ -179,7 +192,10 @@
     create_links(iptable[net])
 
+
 def check_args(argv):
   """
-  Must we use another directory for the PXE configuration
+  command line option:
+    -d/--directory <dir>
+      Where <dir> is the directory where the pxe config files reside.
   """
   global PXE_CONF_DIR
@@ -187,5 +203,5 @@
     opts, args = getopt.getopt(argv[1:], SHORTOPT_LIST, LONGOPT_LIST)
   except getopt.error, detail:
-    print __doc__
+    print check_args.__doc__
     print detail
     sys.exit(1)
Index: /trunk/pxeconfig/pxeconfigd
===================================================================
--- /trunk/pxeconfig/pxeconfigd	(revision 5)
+++ /trunk/pxeconfig/pxeconfigd	(revision 6)
@@ -1,3 +1,17 @@
 #!/usr/bin/env python
+# Copyright (C) 2000, SARA.
+#
+# Permission to use, copy, modify, and distribute this software and its
+# documentation for non-commercial purposes and without fee is hereby
+# granted, provided that the above copyright notice appears in all copies
+# and that both the copyright notice and this permission notice appear in
+# supporting documentation.
+#
+# Neither SARA (Stichting Academisch Rekencentrum Amsterdam) nor the
+# nor the author make any representations about the suitability of this
+# software for any purpose. This software is provided ``as is'' without
+# express or implied warranty.
+#
+#
 """
 Author: Bas van der Vlies <basv@sara.nl>
@@ -17,6 +31,6 @@
 
 CVS info
-  $Date: 2002/02/19 09:57:40 $
-  $Revision: 1.3 $
+  $Date: 2002/02/21 13:21:52 $
+  $Revision: 1.4 $
 """
 import time