Index: /trunk/pxeconfig/INSTALL
===================================================================
--- /trunk/pxeconfig/INSTALL	(revision 8)
+++ /trunk/pxeconfig/INSTALL	(revision 9)
@@ -1,3 +1,3 @@
-Here follow some basic installations instructions.
+Here follow some basic installation instructions.
 
 To activate the 'pxeconfigd' daemon the following actions are required:
@@ -28,30 +28,31 @@
 
  4) As you can see '/tftpboot/pxelinux.cfg/' is the default directory. If
-    you placed the config files some where else you can add the 
+    you placed the config files somewhere else you can add the 
     '-d/--directory' option, eg:
        pxeconfigd stream  tcp nowait  root.sys /usr/sbin/tcpd \
         /usr/sara/sbin/pxeconfigd -d /<some>/<other>/<place>
 
-If the daemon works and you want to install/reinstall a node a link
+If the daemon works and you want to install/reinstall a node, a link
 must be placed in the '/tftpboot/pxelinux.cfg' directory. This can
 be done with the 'pxeconfig' utility. This utility will ask some
-question and make the links for you. The utility require the following
+questions and will make the links for you. The utility requires the following
 setup:
-  1) All the pxe configuration files must start with preamble 'default.' 
+  1) All the pxe configuration files must start with the keyword 'default.' 
+     N.B.: yes, the dot after 'default' is part and parcel of the keyword!
      In this distribution two examples are included. Pxeconfig lets the
-     user decide witch 'default.' config file to use.
+     user decide which 'default.' config file to use.
 
-  2) If default is a link to for example default.harddisk. Then
+  2) If default is a symbolic link to for example default.harddisk, then
      default.harddisk is not included in the list where the user can
      choose from.
 
-  3) You can give command line switch to specifiy where the
+  3) You can give a command line switch to specify where the
      pxe config files reside:
         pxeconfig -d /<some>/<other>/<place>
 
 The last utility is 'hexls'. This utility will display the hex pxe config
-file with the corresponding ip-addres.
+file with the corresponding ip-addresses.
 
-To activate this on a client you must add the this line to the 'master'
+To activate this on a client you must add the following line to the 'master'
 script of the node. It will remove the pxe config file for the node
 on the bootserver. I personally place the line just before the network
Index: /trunk/pxeconfig/README
===================================================================
--- /trunk/pxeconfig/README	(revision 8)
+++ /trunk/pxeconfig/README	(revision 9)
@@ -2,16 +2,18 @@
 -------------
 
-These is a release of the SARA utilities that we use to boot our nodes with
-PXE network cards. This was developed because we always want to use the
-PXE network card as our first boot device. With pxelinux which is a derivative
-of syslinux you can specify how the node must boot by a configuration
-file. This configuration is placed in, eg '/tftpboot/pxelinux.cfg' directory.
+This is a release of the SARA package of utilities that we use to boot
+our nodes with PXE-enabled network cards. This was developed because we
+always want to use the PXE-enabled network card as our first boot device.
+With pxelinux, which is a derivative
+of syslinux, you can specify with a PXE configuration file how the node must
+boot.
+This configuration is placed in, e.g. '/tftpboot/pxelinux.cfg' directory.
 
 In our setup we have a default setup. The default setup is to boot from
-harddisk. When node boots it fetches the default configuraion file and the
+harddisk. When a node boots it fetches the default configuraion file and the
 configuration file tells the node to boot from the harddisk. This setup
 is used for nodes that have already been installed by systemimager.
 
-At SARA we have developed a strategy how to install a fresh node.
+At SARA we have developed the following  strategy how to install a fresh node.
 
  1) The ip-address in our setup is known for the new node. So
@@ -40,9 +42,9 @@
 
   hexls)
-      Is a utility that diplays a directory and if in this directory
-      contains HEX files it will convert them to IP-numbers.
+      Is a utility that diplays a directory, and, if in this directory
+      contains HEX files, it will convert them to IP-numbers.
 
   
-All this utilities are written in Python. 
+All these utilities are written in Python. 
 
 Comments or Suggestions mail them to:
Index: /trunk/pxeconfig/changelog
===================================================================
--- /trunk/pxeconfig/changelog	(revision 8)
+++ /trunk/pxeconfig/changelog	(revision 9)
@@ -1,5 +1,8 @@
-Always edit this file when changes are commited::a
+Always edit this file when changes are commited::
 
 $Log: changelog,v $
+Revision 1.8  2002/02/21 15:30:43  sscpbas
+Fixes some typos. Thanks to Huun Stoffers
+
 Revision 1.7  2002/02/21 15:05:48  sscpbas
 Fix some spell errors. Thanks Jaap
Index: /trunk/pxeconfig/pxeconfig
===================================================================
--- /trunk/pxeconfig/pxeconfig	(revision 8)
+++ /trunk/pxeconfig/pxeconfig	(revision 9)
@@ -7,6 +7,6 @@
 #
 # CVS info
-#  $Date: 2002/02/21 13:21:51 $
-#  $Revision: 1.4 $
+#  $Date: 2002/02/21 15:30:43 $
+#  $Revision: 1.5 $
 #
 # Copyright (C) 2000, SARA.
@@ -26,9 +26,9 @@
 """
 With this program you can configure which PXE configuration file
-to use when a node boots. The programm will ask the following questions:
+to use when a node boots. The program will ask the following questions:
   1) Network address (Class C-network address only)
-  2) Starting nummber
+  2) Starting number
   3) Ending number
-  4) Which PXE config file to use. 
+  4) Which PXE config file to use 
 
 For example, if the answers are: 
@@ -66,11 +66,11 @@
 def choice_pxe_configfile():
   """
-  Let user choice which pxeconfig file to use.
+  Let user choose which pxeconfig file to use.
   """
 
   os.chdir(PXE_CONF_DIR)
 
-  # Try to determine to which default file point to and 
-  # if exists remove it from te list.
+  # Try to determine to which file the default symlink points, and 
+  # if it exists, remove it from the list.
   #
   try:
@@ -103,5 +103,5 @@
 
     # Is the user smart enough to select
-    # the right value
+    # the right value??
     #
     if 0 < index <= len(files): break
@@ -112,5 +112,5 @@
   """
   Create the links in the PXE_CONF_DIR,
-    list : A list containing: network hex addres, pxe config file, 
+    list : A list containing: network hex address, pxe config file, 
            start number, end number
   """
@@ -127,5 +127,5 @@
 def check_network(net):
   """
-  This function check if the give network is a Class C-network and will
+  This function checks if the give network is a Class C-network and will
   convert the network address to a hex address if true.
   """
@@ -170,5 +170,5 @@
   print __doc__
 
-  network = raw_input('Give network addres (xxx.xxx.xxx): ') 
+  network = raw_input('Give network address (xxx.xxx.xxx): ') 
   naddr = check_network(network)
 